package transcoders

import (
	"io"

	"git.icedream.tech/icedream/uplink/internal"
	"git.icedream.tech/icedream/uplink/internal/transcoders/options"
)

type Transcoder interface {
	Options() map[string]options.TranscoderOptionType
	New(options map[string]interface{}) *TranscoderInstance
}

type TranscoderInstance interface {
	io.WriteCloser
	Init(out *internal.Stream)
}
